Package com.mockobjects.dynamic

# Class DefaultCallFactory

java.lang.Object
com.mockobjects.dynamic.DefaultCallFactory

All Implemented Interfaces:
  `CallFactory`

public class DefaultCallFactory extends Object implements CallFactory

## Constructor Summary

Constructors
Constructor
Description
`DefaultCallFactory()`

## Method Summary

Modifier and Type
Method
Description
`Callable`
`createCallExpectation(Callable call)`
`Callable`
`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`Callable`
`createReturnStub(Object result)`
`Callable`
`createThrowStub(Throwable exception)`
`Callable`
`createVoidStub()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultCallFactory

public DefaultCallFactory()

## Method Details

### createReturnStub

public Callable createReturnStub(Object result)

Specified by:
  `createReturnStub` in interface `CallFactory`

### createThrowStub

public Callable createThrowStub(Throwable exception)

Specified by:
  `createThrowStub` in interface `CallFactory`

### createCallExpectation

public Callable createCallExpectation(Callable call)

Specified by:
  `createCallExpectation` in interface `CallFactory`

### createCallSignature

public Callable createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)

Specified by:
  `createCallSignature` in interface `CallFactory`

### createVoidStub

public Callable createVoidStub()

Specified by:
  `createVoidStub` in interface `CallFactory`